[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugintf' (#fcl)

# SendDebug

Send a message to the debug server.

## Declaration

Source position: dbugintf.pp line 30

`procedure SendDebug(`
`const Msg: string`
`);`

## Arguments

`Msg` |  | The message to be sent to the server.

## Description

SendDebug sends the message Msg to the debug server as an informational message (debug level dlInformation). If no debug server is running, then an attempt will be made to start the server first.

The binary that is started is called debugserver and should be somewhere on the PATH. A sample binary which writes received messages to standard output is included in the FCL, it is called dbugsrv. This binary can be renamed to debugserver or can be started before the program is started.

## Errors

Errors are silently ignored, any exception messages are stored in SendError.

## See also

SendDebugEx |  | Send debug message other than informational messages
SendDebugFmt |  | Format and send a debug message
SendDebugFmtEx |  | Format and send message with alternate type

Documentation generated on: Feb 26 2014